## com.google.gwt.user.client.ui
Class ScrollListenerCollection

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  com.google.gwt.user.client.ui.ScrollListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class ScrollListenerCollection

extends java.util.ArrayList

A helper class for implementers of the SourcesScrollEvents interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `ScrollListener`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ScrollListenerCollection()`

Method Summary
`void` `fireScroll(Widget sender, int scrollLeft, int scrollTop)` Fires a scroll event to all listeners.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ScrollListenerCollection

    public ScrollListenerCollection()

Method Detail

### fireScroll

    public void fireScroll(Widget sender,
                           int scrollLeft,
                           int scrollTop)

  Fires a scroll event to all listeners.

  Parameters:
    `sender` - the widget sending the event
    `scrollLeft` - the horizontal scroll offset
    `scrollTop` - the vertical scroll offset